# This is the code for the shortcut bar at the top of the game.

init:
    $ menu_bar = False # By switching it to True in the script, the bar will be displayed.
    $ in_about = False # This variable is to prevent the label About to be called more than once.
    
    python:
        def overlay():
            if menu_bar:
                # We can assume that "save_screen" is the default.
                ui.textbutton("Save", clicked=ui.callsinnewcontext("_game_menu"), xalign=0.0, yalign=0.0)
                ui.textbutton("Load", clicked=ui.callsinnewcontext("_game_menu", "load_screen"), xalign=0.1, yalign=0.0)
                ui.textbutton("Pref", clicked=ui.callsinnewcontext("_game_menu", "preferences_screen"), xalign=0.2, yalign=0.0)
                ui.textbutton("Return", clicked=ui.callsinnewcontext("_game_menu", "_main_menu_prompt"), xalign=0.3, yalign=0.0)
                if in_about:
                    clickA = None # If in_about is True, the button will be dulled, preventing further clicking.
                else:
                    clickA = ui.callsinnewcontext("About") # At default that is False, you can click on it to call Label About
                ui.textbutton("About", clicked=clickA, xalign=0.43, yalign=0.0)
                ui.textbutton("Quit", clicked=ui.callsinnewcontext("_game_menu", "_quit_prompt"), xalign=0.5345, yalign=0.0)
        config.overlay_functions.append(overlay)
        
label About: #C licking the "About" button will call this label.
    $ in_about = True # Setting it to True will dull the button.

    c "To those who have no idea what this visual novel is for, it is a minor project done by me (F.I.A) to try out features in Ren'py."
    c "The codes used are open-source, so you can press SHIFT+E anytime to check on them while playing. (Remember to place the game folder in a folder inside a Ren'Py directory for it to work)."
    c "Bgms used are from the first game of Pheonix Wright."
    c "Credit goes to DrakeNavarone for proofreading, and suggestions."
    c "Oh, a shoutout to Kikered for some inspirations."
    c "Now let's carry on."

    # 'nvl clear' to clean the nvl log, so recalling the label will not clog up the log.
    nvl clear
    
    $ in_about = False # Reverting it by the end of the label.
    
    return